commit:     ee7aeaf4e932477018f34af88792d7a50e1a1ed6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  3 05:43:44 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun  3 06:41:32 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee7aeaf4

dev-python/watchdog: Bump to 0.10.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/watchdog/Manifest               |  1 +
 dev-python/watchdog/watchdog-0.10.2.ebuild | 35 ++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/watchdog/Manifest b/dev-python/watchdog/Manifest
index 396557ba521..3a32f1936e3 100644
--- a/dev-python/watchdog/Manifest
+++ b/dev-python/watchdog/Manifest
@@ -1,2 +1,3 @@
+DIST watchdog-0.10.2.tar.gz 88902 BLAKE2B 
f6fc6b9dd867a69139289fe6189f90fbc35897a63db1685da85960358141e5eed8391c1aba0cbb899b197056ae80141795090de7f73d821a1819b5c63361cc65
 SHA512 
3563a9686ce304350f33bbf4b16933cd0db5d6ab17676dfcc779b86cf9ddd06c42462ec40ad5c046cf4aa4b603aa477865de45daef05f9c6af3a441bcab16dbb
 DIST watchdog-0.8.3.tar.gz 83154 BLAKE2B 
d5d0635e83bbcd31544d5ea5811c2f202b0da76bd7a4086e8fc61e3293640e701b04599f95decaa82bee3705dbd6b91ad24b9dbd20edcfc329913600c8a3c932
 SHA512 
61f1db886e8e9a6d78b569329f4d5944c296778a5a34f94fbf115a748fb4c3be422bf4d3cc828e22fcdcd380fdf9009f5bd91a8a5edc87089afc58297a0b946f
 DIST watchdog-0.9.0.tar.gz 90597 BLAKE2B 
4b83061f49204f13ccdb129c31bd53af256e5541d7a3f6452e59682ab64f37dc2a38e9a82ddcc2cec0ed5c52baed27d62b2fab7eebe2433d924209860b5d4a00
 SHA512 
97fca2642209150a611d931d6f2049a9941a3494a6c566bc18eaa45a8fc2fbd02c712b37a85cc1375eeb65715706ba6b8ecf781b99951721988c318f81eff7c6

diff --git a/dev-python/watchdog/watchdog-0.10.2.ebuild 
b/dev-python/watchdog/watchdog-0.10.2.ebuild
new file mode 100644
index 00000000000..6420d472f83
--- /dev/null
+++ b/dev-python/watchdog/watchdog-0.10.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python API and shell utilities to monitor file system events"
+HOMEPAGE="https://github.com/gorakhargosh/watchdog";
+SRC_URI="https://github.com/gorakhargosh/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+
+CDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
+RDEPEND="${CDEPEND}
+       dev-python/argh[${PYTHON_USEDEP}]
+       dev-python/pathtools[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+       test? ( >=dev-python/pytest-timeout-0.3[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e '/--cov/d' setup.cfg || die
+       default
+}
+
+pkg_postinst() {
+       optfeature "Bash completion" dev-python/argcomplete
+}

Reply via email to